com.io7m.jstructural.annotated

## Class SAFormalItem

- java.lang.Object
- - com.io7m.jstructural.annotated.SAFormalItem

- All Implemented Interfaces:
    SAIDTargetContent, SASubsectionContent

      @Immutable
      public final class SAFormalItem
      extends Object
      implements SASubsectionContent, SAIDTargetContent

  A formal item.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `SAFormalItemContent` | `getContent()`
    `int` | `getFormalNumber()`
    `String` | `getKind()`
    `SAFormalItemNumber` | `getNumber()`
    `SAFormalItemTitle` | `getTitle()`
    `com.io7m.jfunctional.OptionType<String>` | `getType()`
    `int` | `hashCode()`
    `<A> A` | `subsectionContentAccept(SASubsectionContentVisitor<A> v)` Accept a section content visitor.
    `<T> T` | `targetContentAccept(SAIDTargetContentVisitor<T> v)` Accept an ID target content visitor.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getContent

          public SAFormalItemContent getContent()

      Returns:
        The formal item content

    - #### getFormalNumber

          public int getFormalNumber()

      Returns:
        The formal item number.

    - #### getKind

          public String getKind()

      Returns:
        The kind of formal item

    - #### getNumber

          public SAFormalItemNumber getNumber()

      Returns:
        The formal item number

    - #### getTitle

          public SAFormalItemTitle getTitle()

      Returns:
        The formal item title

    - #### getType

          public com.io7m.jfunctional.OptionType<String> getType()

      Returns:
        The formal item type attribute, if specified

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### subsectionContentAccept

          public <A> A subsectionContentAccept(SASubsectionContentVisitor<A> v)
                                        throws Exception

      Description copied from interface: `SASubsectionContent`
      Accept a section content visitor.
      Specified by:
        `subsectionContentAccept` in interface `SASubsectionContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### targetContentAccept

          public <T> T targetContentAccept(SAIDTargetContentVisitor<T> v)
                                    throws Exception

      Description copied from interface: `SAIDTargetContent`
      Accept an ID target content visitor.
      Specified by:
        `targetContentAccept` in interface `SAIDTargetContent`
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

Copyright © 2015 <code@io7m.com> http://io7m.com